import type { EntityConstructor, Options, Selector } from '@nymphjs/client';
export declare type BareQueryHandler = (input: string, entityClass?: EntityConstructor, defaultFields?: string[]) => Partial<Selector>;
export declare type QRefMap = {
    [k: string]: {
        class: EntityConstructor;
        defaultFields?: string[];
    };
};
export default function queryParser<T extends EntityConstructor = EntityConstructor>({ query, entityClass, defaultFields, qrefMap, bareHandler, }: {
    query: string;
    entityClass: T;
    defaultFields?: string[];
    qrefMap?: QRefMap;
    bareHandler?: BareQueryHandler;
}): [Options<T>, ...Selector[]];
